Subject: Re: bug#58434: Native compile results in error if -march and -mtune are specified

From: Eli Zaretskii <[email-masked]>
Date: Wed, 12 Oct 2022 07:55:59 +0300

> From: Andrea Corallo <[email-masked]>
> Cc: Loreno Heer <[email-masked]>, [email-masked]
> Date: Tue, 11 Oct 2022 19:43:22 +0000
> 
> > OK, so the compiler told you it doesn't support -march=native, so you
> > will have to specify the exact architecture.
> >
> > Btw, I think you should use native-comp-driver-options for this, not
> > native-comp-compiler-options.  Andrea, am I right?  I think GCC is
> > "driver" and "compiler" means cc1, no?  (If I'm right, we need to fix
> > the doc strings.)
> 
> Hi Eli,
> 
> native-comp-driver-options is for assembler and linker while
> native-comp-compiler-options is for the compiler.  AFAIK 'march' affects
> code generation so it should got to the compiler, then I believe the use
> of native-comp-compiler-options here is correct.

OK, so I guess the only problem is that the compiler doesn't support
"-march=native", and needs a specific architecture instead of a
generic one.